# sa2019-sitesnips
Space Access 2019 website snippets

This repo is intended as an aide for developing the website at:
https://sa2019.erps.org
The website is built using Joomla.

## Source materials

Source material comes from these pages:
* http://space-access.org/
* http://space-access.org/updates/sa2019prog.html -
  particularly the section "Preliminary SA2019 Conference Agenda"

## jm-mainbody

This subdirectory includes raw HTML fragments which can be
manipulated through the Joomla editor interface.
It includes the main body of a page, but not the sidebars.

Content is added by a site administrator in a rich text editing window.
One of the editor options is "tinyMCE", and includes a raw HTML mode.
It is thus possible to craft raw HTML snippets offline and copy them in.

Early commits to this repository had 
HTML lines broken into wrapper structures (including style in tag) and internal content.
The idea was to make changes trackable.
This later migrated to copying the raw HTML fragment that can be edited by tinyMCE.

Once saved by the Joomla editor,
the wrapper structure disappears,
resulting in single-line paragraphs and list items.

In the case of "news/7-agenda", there are in fact, two version of the HTML file:

  * "7-agenda.frag-tinymce.html" contains HTML fragment after it has been
    rewritten by the TinyMCE editor.  (Wrapper structure disappears.)
  * "7-agenda.frag.html" is the structured form.

However, later versions simply name the raw HTML fragment with suffix ".frag.html".
